#include "state.h"

namespace L87 {
	StateDiagram::~StateDiagram() {
		for (auto it : states) {
			delete it.second;
		}
	}
}

namespace L87 {
	void State::auto_register() { states.insert({ name(), this }); }

	State::State(StateDiagram* _diagram) : diagram(_diagram), states(_diagram->states) { }

	bool State::done() { return false; }

	bool State::bad() { return false; }

}