#pragma once

namespace Automata {
	template<class Container>
	struct Tape {
		using Iterator = typename Container::iterator;

	public:
		Container container;
		Tape(Container& _container) : container(_container) {}
		size_t size() { return container.size(); }
		Iterator begin() { return container.begin(); }
		Iterator end() { return container.end(); }
	};
}